Skip to main content
POST
/
messages
/
{messageId}
/
reply
JavaScript
import Nuntly from '@nuntly/sdk';

const client = new Nuntly({
  apiKey: process.env['NUNTLY_API_KEY'], // This is the default and can be omitted
});

const response = await client.messages.reply('imsg_01kabn43yqyxn2bx4ve84mczd3');

console.log(response.id);
{
  "data": {
    "id": "<string>",
    "threadId": "<string>",
    "fromAddress": "<string>",
    "subject": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication. Allowed headers Authorization: Bearer <API_KEY>

Path Parameters

messageId
string
required

The id of the message

Example:

"imsg_01kabn43yqyxn2bx4ve84mczd3"

Body

application/json

Reply content (text, HTML) and reply-all flag.

text
string

The plain text body.

html
string

The HTML body.

replyAll
boolean
default:false

Whether to reply to all recipients.

Response

Successful response.

data
object
required